import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { Card, Form, Button, Descriptions } from 'antd';
import { useEffect, useState } from 'react';
import { getJobDetail } from '@/services/job'
import moment from 'moment';
import { history } from 'umi';



const FormItem = Form.Item;
const goBack = () => {
  history.goBack();
};
const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm') : '';
};
export default (props) => {
  const { location } = props;
  const { id } = location.query;
  const [workInfo, setWorkInfo] = useState()

  useEffect(() => {
    if (id) {
      getJobDetail(id).then((res) => {
        setWorkInfo(res)
      })
    }
  }, [id])
  return (
    <PageHeaderWrapper extra={[<Button key={id} type="default" onClick={() => goBack()}>
      返回
    </Button>]}>
      <Card style={{ minHeight: '700px' }}>
        <Descriptions style={{ margin: '0 32px' }}>
          <Descriptions.Item label="订单号">{workInfo?.orderNo}</Descriptions.Item>
          <Descriptions.Item label="合作社">{workInfo?.orgName}</Descriptions.Item>
          <Descriptions.Item label="农机">{workInfo?.machineryName}</Descriptions.Item>
          <Descriptions.Item label="农机手">{workInfo?.workerName}</Descriptions.Item>
          <Descriptions.Item label="作业面积">{workInfo?.area}</Descriptions.Item>
          <Descriptions.Item label="作业时间">{formatterTime(workInfo?.startDate)}~{formatterTime(workInfo?.endDate)}</Descriptions.Item>
        </Descriptions>
        {/* <Form >
          <FormItem label="订单号">{workInfo?.orderNo}</FormItem>
          <FormItem label="合作社">{workInfo?.orgName}</FormItem>
          <FormItem label="农机">{workInfo?.machineryName}</FormItem>
          <FormItem label="农机手">{workInfo?.workerName}</FormItem>
          <FormItem label="作业面积">{workInfo?.area}亩</FormItem>
          <FormItem label="作业时间">{formatterTime(workInfo?.startDate)}~{formatterTime(workInfo?.endDate)}</FormItem>
          <FormItem label=" " colon={false}>
            <Button type="default" onClick={() => goBack()}>
              返回
            </Button>
          </FormItem>
        </Form> */}

      </Card>
    </PageHeaderWrapper>
  );
};
